logo
Добро пожаловать, Гость! Чтобы использовать все возможности Вход или Регистрация.

Уведомление

Icon
Error

Опции
К последнему сообщению К первому непрочитанному
Offline vitaly1231  
#1 Оставлено : 6 октября 2017 г. 7:36:41(UTC)
vitaly1231

Статус: Новичок

Группы: Участники
Зарегистрирован: 06.10.2017(UTC)
Сообщений: 2
Российская Федерация

Доброго времени суток!, помогите разобраться с правильной установкой /работы криптопро cps 3.9 (до этого пробовали 4.0) а так же плагина эцп для браузера firefox OS linux mint 32bit. Почитав выше инструкции и другие различные манулы не выходит ничего плагин отсутствует в about:plugins.

При выполнении след команд выдает

# /opt/cprocsp/bin/ia32/csptest -enum -info
CSP (Type:75) v3.9.8010 KC2 Release Ver:3.9.8495 OS:Linux CPU:IA32 FastCode:READY:AVX.
CryptAcquireContext succeeded.HCRYPTPROV: 136316579
GetProvParam(...PP_ENUMALGS...) until it returns false
Algid Bits Type NameLen AlgName
__________________________________________________
0000661eh 256 Encrypt 14 GOST 28147-89
0000801eh 256 Hash 16 GOST R 34.11-94
00002e23h 512 Signature 18 GOST R 34.10-2001
0000aa24h 512 Exchange 18 Diffie-Hellman EL
0000aa25h 512 Exchange 18 Diffie-Hellman EL
0000801fh 32 Hash 19 HMAC GOST 28147-89
Cycle exit when getting data. 6 items found. Level completed without problems.
Total: SYS: 0,000 sec USR: 0,000 sec UTC: 0,040 sec
[ErrorCode: 0x00000000]


# /opt/cprocsp/bin/ia32/csptest -keyset -newkeyset -cont '\\.\hdimage\test'
CSP (Type:75) v3.9.8010 KC2 Release Ver:3.9.8495 OS:Linux CPU:IA32 FastCode:READY:AVX.
An error occurred in running the program.
/dailybuildsbranches/CSP_3_9/CSPbuild/CSP/samples/csptest/ctkey.c:948:AcquireContext("\\.\hdimage\test")
Error number 0x8009000f (-2146893809).
Object already exists.
Total: SYS: 0,000 sec USR: 0,000 sec UTC: 0,060 sec
[ErrorCode: 0x8009000f]
Offline eav  
#2 Оставлено : 6 октября 2017 г. 14:12:30(UTC)
eav


Статус: Сотрудник

Группы: Участники
Зарегистрирован: 11.03.2013(UTC)
Сообщений: 481
Мужчина
Российская Федерация
Откуда: Оттуда

Сказал «Спасибо»: 1 раз
Поблагодарили: 86 раз в 83 постах
Добрый день.
В Unix КриптоПро ЭЦП Browser plug-in 2.0 совместим с КриптоПро CSP версии 4.0 и выше
Уккажите версию Firefox.
Попробуйте настроить по примеру для Ubuntu, настройка аналогична
https://support.cryptopr...-v-srede-ubuntu-1604-lts

Offline nickm  
#3 Оставлено : 6 октября 2017 г. 16:43:47(UTC)
nickm

Статус: Активный участник

Группы: Участники
Зарегистрирован: 31.05.2016(UTC)
Сообщений: 92

Сказал(а) «Спасибо»: 6 раз
Поблагодарили: 11 раз в 11 постах
Автор: vitaly1231 Перейти к цитате
для браузера firefox OS

Автор: vitaly1231 Перейти к цитате
плагин отсутствует в about:plugins.


Версия браузера какая?
Скорее всего связано поддержкой NPAPI-плагинов.
Offline vitaly1231  
#4 Оставлено : 10 октября 2017 г. 5:24:47(UTC)
vitaly1231

Статус: Новичок

Группы: Участники
Зарегистрирован: 06.10.2017(UTC)
Сообщений: 2
Российская Федерация

Автор: nickm Перейти к цитате
Автор: vitaly1231 Перейти к цитате
для браузера firefox OS

Автор: vitaly1231 Перейти к цитате
плагин отсутствует в about:plugins.


Версия браузера какая?
Скорее всего связано поддержкой NPAPI-плагинов.



версия ff 55.0.2 (32-бит)
плагин да отсутствует
Offline eav  
#5 Оставлено : 11 октября 2017 г. 11:31:27(UTC)
eav


Статус: Сотрудник

Группы: Участники
Зарегистрирован: 11.03.2013(UTC)
Сообщений: 481
Мужчина
Российская Федерация
Откуда: Оттуда

Сказал «Спасибо»: 1 раз
Поблагодарили: 86 раз в 83 постах
Цитата:
версия ff 55.0.2 (32-бит)
плагин да отсутствует

Настройте расширение https://support.cryptopr...irefox-versii-53-i-vyshe
RSS Лента  Atom Лента
Пользователи, просматривающие эту тему
Быстрый переход  
Вы не можете создавать новые темы в этом форуме.
Вы не можете отвечать в этом форуме.
Вы не можете удалять Ваши сообщения в этом форуме.
Вы не можете редактировать Ваши сообщения в этом форуме.
Вы не можете создавать опросы в этом форуме.
Вы не можете голосовать в этом форуме.